/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.EventoExtraDAO;
import com.rjconsultores.ventaboletos.entidad.EventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.service.EventoExtraService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("eventoExtraService")
public class EventoExtraServiceImpl implements EventoExtraService {

    @Autowired
    private EventoExtraDAO eventoExtraDAO;

    public List<EventoExtra> obtenerTodos() {
        return eventoExtraDAO.obtenerTodos();
    }

    public EventoExtra obtenerID(Integer id) {
        return eventoExtraDAO.obtenerID(id);
    }

    @Transactional
    public EventoExtra suscribir(EventoExtra entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return eventoExtraDAO.suscribir(entidad);
    }

    @Transactional
    public EventoExtra actualizacion(EventoExtra entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return eventoExtraDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(EventoExtra entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        eventoExtraDAO.actualizacion(entidad);
    }

    @Transactional
	public List<EventoExtra> obtenerPorTipo(TipoEventoExtra tipoEventoExtra){
    	return eventoExtraDAO.obtenerPorTipo(tipoEventoExtra);
	}
   
}
